/*
 *  Swapping.h
 *  Hubschrauber
 *
 *  Created by Torsten on 17.09.06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef SWAPPING_H
#define SWAPPING_H

namespace OS
{

inline unsigned short SwapShort(unsigned short input)
{
	union conv
	{
		unsigned short bit16;
		unsigned char bit8[2];
	} c1, c2;
	
	c1.bit16 = input;
	
	c2.bit8[0] = c1.bit8[1];
	c2.bit8[1] = c1.bit8[0];
	
	return c2.bit16;
}

inline unsigned short LittleShortToHost(unsigned short input)
{
#ifdef BIG_ENDIAN
	return SwapShort(input);
#else
	return input;
#endif
}

inline unsigned short BigShortToHost(unsigned short input)
{
#ifdef BIG_ENDIAN
	return input;
#else
	return SwapShort(input);
#endif
}

}

#endif SWAPPING_H