!!ARBvp1.0

ATTRIB vertexPosition = vertex.position;
ATTRIB normal = vertex.normal;
OUTPUT outputPosition = result.position;
PARAM furHeight = program.local[0];
#PARAM mvinv[4] = { state.matrix.modelview.invtrans };
#PARAM lightDir = state.light[0].position;
#PARAM halfDir = state.light[0].half;
#PARAM  ambientCol   = state.lightprod[0].ambient;
#PARAM  diffuseCol   = state.lightprod[0].diffuse;
TEMP tempVertex;
#TEMP transformedNormal;
#TEMP dots;

#MAD tempVertex, furHeight.x, vertex.normal, vertex.position;
#MOV tempVertex, vertex.position;
#ADD tempVertex, normal, vertexPosition;
#ADD tempVertex, furHeight, vertexPosition;
MAD tempVertex, furHeight, vertex.color.w, vertexPosition;
#ADD tempVertex, vertexPosition, normal;

DP4    outputPosition.x, state.matrix.mvp.row[0], tempVertex;
DP4    outputPosition.y, state.matrix.mvp.row[1], tempVertex;
DP4    outputPosition.z, state.matrix.mvp.row[2], tempVertex;
DP4    outputPosition.w, state.matrix.mvp.row[3], tempVertex;

#DP4    transformedNormal.x, mvinv[0], vertex.normal;
#DP4    transformedNormal.y, mvinv[1], vertex.normal;
#DP4    transformedNormal.z, mvinv[2], vertex.normal;

#DP3 dots.x, transformedNormal, lightDir;
#DP3 dots.y, transformedNormal, halfDir;

#MOV result.color, vertex.color;
#LIT dots, dots;

#MAD tempVertex, dots.y, diffuseCol, ambientCol;
#MOV result.color, tempVertex;
MOV result.color, vertex.color;

MOV result.texcoord[0], vertex.texcoord[0];
MOV result.texcoord[1], vertex.texcoord[0];

END